import React, { Component } from 'react';
import { InputItem, List } from "antd-mobile";
import './bargain-info.scss'
import { validateTel } from "@/utils";
import { Toast } from 'antd-mobile'
import { http, api } from "@/utils";


class BargainInfo extends Component {

    state = {
        mobile: '',
        code: ''
    }

    handleChange = e => {

        let {name, value} = e.target

        this.setState({
            [name]: value
        })
    }

    sendCode = () => {

        console.log(validateTel(this.state.mobile));

        if (!validateTel(this.state.mobile)) {
            Toast.info('请输入正确的手机号')
            return
        }


        http.post(`${api['base-api']}/sys/bind_send_sms`, {
            phone_num: this.state.mobile
        }).then(res => {
            if (res.data.code == 200) {
                Toast.info('验证码发送成功', 2, null, false)
            } else {
                Toast.info(res.data.msg)
            }
        })
    }

    handleClick = () => {

        if (!this.state.code) {
            Toast.info('请填写验证码')
            return
        }

        http.post(`${api.home}/m/user/bindMobile`, {
            ...this.state
        }).then(res => {
            if (res.data.code == 200) {
                Toast.info('绑定手机号成功', 2, null, false)
                this.props.complete()
            } else {
                Toast.info(res.data.msg)
            }
        })

    }


    render() {
        let {mobile, code} = this.state
        return (
            <div className={'bargain-bind-phone'}>
                <div className="title">绑定手机，先砍一刀</div>
                <List className={'list'}>
                    <input type="tel" onChange={this.handleChange} name='mobile' placeholder='手机号' maxLength={11}/>
                    <label htmlFor="code">
                        <input type="tel" id='code' onChange={this.handleChange} name='code' placeholder='验证码' maxLength={6}/>
                        <div className={'send-code'} onClick={this.sendCode}>发送验证码</div>
                    </label>
                </List>
                <button onClick={this.handleClick} className={validateTel(mobile) && code ? 'active' : ''}>先砍一刀</button>
            </div>
        );
    }
}

export default BargainInfo